import request from '@/utils/request'


export function getTaskList(param) {
  return request({
    url: '/task/list',
    method: 'get',
    params: param
  })
}

export function getTaskDetails(param) {
  return request({
    url: '/task/details/' + param.id,
    method: 'get'
  })
}

export function getFxDetails(param) {
  return request({
    url: '/task/fxInfo/' + param.id,
    method: 'get'
  })
}
export function setSign(data) {
  return request({
    url: '/task/editSign' ,
    method: 'put',
    data: data
  })
}
export function fx(data) {
  return request({
    url: '/fund/fx' ,
    method: 'put',
    data: data
  })
}
